package org.gcube.portlets.user.geoportaldataentry.client.events;

import org.gcube.application.geoportalcommon.shared.geoportal.ResultDocumentDV;

import com.google.gwt.event.shared.GwtEvent;

public class CreateRelationHandlerEvent extends GwtEvent<CreateRelationHandler> {

	/** The type. */
	public static Type<CreateRelationHandler> TYPE = new Type<CreateRelationHandler>();
	private ResultDocumentDV fromProject;
	private String relationshipName;
	private ResultDocumentDV toProject;

	public CreateRelationHandlerEvent(ResultDocumentDV fromProject, String relationshipName,
			ResultDocumentDV toProject) {
		this.fromProject = fromProject;
		this.relationshipName = relationshipName;
		this.toProject = toProject;
	}

	/**
	 * Gets the associated type.
	 *
	 * @return the associated type
	 */
	/*
	 * (non-Javadoc)
	 * 
	 * @see com.google.gwt.event.shared.GwtEvent#getAssociatedType()
	 */
	@Override
	public Type<CreateRelationHandler> getAssociatedType() {
		return TYPE;
	}

	/**
	 * Dispatch.
	 *
	 * @param handler the handler
	 */
	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.google.gwt.event.shared.GwtEvent#dispatch(com.google.gwt.event.shared.
	 * EventHandler)
	 */
	@Override
	protected void dispatch(CreateRelationHandler handler) {
		handler.onCreateRelation(this);
	}

	public ResultDocumentDV getFromProject() {
		return fromProject;
	}

	public String getRelationshipName() {
		return relationshipName;
	}

	public ResultDocumentDV getToProject() {
		return toProject;
	}

}
